Package org.eclipse.jdt.ui

# Interface IPackagesViewPart

All Superinterfaces:
  `IAdaptable`, `IPersistable`, `IViewPart`, `IWorkbenchPart`

public interface IPackagesViewPart extends IViewPart
The standard Packages view presents a Java-centric view of the workspace. Within Java projects, the resource hierarchy is organized into Java packages as described by the project's classpath. Note that this view shows both Java elements and ordinary resources.

This interface is not intended to be implemented by clients.

See Also:
  - `JavaUI.ID_PACKAGES`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Method Summary

Modifier and Type
Method
Description
`TreeViewer`
`getTreeViewer()`
Returns the TreeViewer shown in the Packages view.
`boolean`
`isLinkingEnabled()`
Returns whether this Packages view's selection automatically tracks the active editor.
`void`
`selectAndReveal(Object element)`
Selects and reveals the given element in this packages view.
`void`
`setLinkingEnabled(boolean enabled)`
Sets whether this Packages view's selection automatically tracks the active editor.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IViewPart

`getViewSite, init, init, saveState`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

## Method Details

### selectAndReveal

void selectAndReveal(Object element)
Selects and reveals the given element in this packages view. The tree will be expanded as needed to show the element.

Parameters:
  `element` - the element to be revealed

### getTreeViewer

TreeViewer getTreeViewer()
Returns the TreeViewer shown in the Packages view.

Returns:
  the tree viewer used in the Packages view
Since:
  2.0

### isLinkingEnabled

boolean isLinkingEnabled()
Returns whether this Packages view's selection automatically tracks the active editor.

Returns:
  `true` if linking is enabled, `false` if not
Since:
  3.2

### setLinkingEnabled

void setLinkingEnabled(boolean enabled)
Sets whether this Packages view's selection automatically tracks the active editor.

Parameters:
  `enabled` - `true` to enable, `false` to disable
Since:
  3.2